ConverterHint (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.cli, interface: ConverterHint

Package org.apache.geode.management.cli

# Interface ConverterHint

public interface ConverterHint
Used in ShellOption annotations to indicate which converter(s) should or should not be used. Note: In Spring Shell 3.x, these hints are not directly used in the same way.

Since:
  GemFire 8.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALL_MEMBER_IDNAME`
  Hint to be used for all types of GemFire cluster members
  `static final String`
  `DISABLE_ENUM_CONVERTER`
  `static final String`
  `DISABLE_STRING_CONVERTER`
  `static final String`
  `DISKSTORE`
  `static final String`
  `FILE`
  `static final String`
  `FILE_PATH`
  `static final String`
  `GATEWAY_SENDER_ID`
  `static final String`
  `HELP`
  `static final String`
  `HINT`
  `static final String`
  `INDEX_TYPE`
  `static final String`
  `JARDIR`
  `static final String`
  `JARFILES`
  `static final String`
  `LOCATOR_DISCOVERY_CONFIG`
  Hint to be used for configured locators for discovery
  `static final String`
  `LOCATOR_MEMBER_IDNAME`
  Hint to be used for GemFire stand-alone locator members
  `static final String`
  `LOG_LEVEL`
  `static final String`
  `MEMBERGROUP`
  `static final String`
  `MEMBERIDNAME`
  Hint to be used for all non locator GemFire cluster members
  `static final String`
  `REGION_PATH`

- ## Field Details

  - ### DISABLE_STRING_CONVERTER

    static final String DISABLE_STRING_CONVERTER
    See Also:
      - Constant Field Values

  - ### DISABLE_ENUM_CONVERTER

    static final String DISABLE_ENUM_CONVERTER
    See Also:
      - Constant Field Values

  - ### DISKSTORE

    static final String DISKSTORE
    See Also:
      - Constant Field Values

  - ### FILE

    static final String FILE
    See Also:
      - Constant Field Values

  - ### FILE_PATH

    static final String FILE_PATH
    See Also:
      - Constant Field Values

  - ### HINT

    static final String HINT
    See Also:
      - Constant Field Values

  - ### HELP

    static final String HELP
    See Also:
      - Constant Field Values

  - ### MEMBERGROUP

    static final String MEMBERGROUP
    See Also:
      - Constant Field Values

  - ### ALL_MEMBER_IDNAME

    static final String ALL_MEMBER_IDNAME
    Hint to be used for all types of GemFire cluster members
    See Also:
      - Constant Field Values

  - ### MEMBERIDNAME

    static final String MEMBERIDNAME
    Hint to be used for all non locator GemFire cluster members
    See Also:
      - Constant Field Values

  - ### LOCATOR_MEMBER_IDNAME

    static final String LOCATOR_MEMBER_IDNAME
    Hint to be used for GemFire stand-alone locator members
    See Also:
      - Constant Field Values

  - ### LOCATOR_DISCOVERY_CONFIG

    static final String LOCATOR_DISCOVERY_CONFIG
    Hint to be used for configured locators for discovery
    See Also:
      - Constant Field Values

  - ### REGION_PATH

    static final String REGION_PATH
    See Also:
      - Constant Field Values

  - ### INDEX_TYPE

    static final String INDEX_TYPE
    See Also:
      - Constant Field Values

  - ### GATEWAY_SENDER_ID

    static final String GATEWAY_SENDER_ID
    See Also:
      - Constant Field Values

  - ### LOG_LEVEL

    static final String LOG_LEVEL
    See Also:
      - Constant Field Values

  - ### JARFILES

    static final String JARFILES
    See Also:
      - Constant Field Values

  - ### JARDIR

    static final String JARDIR
    See Also:
      - Constant Field Values